Attachment (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.hqu.server.session.Attachment class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.hqu.server.session
Class Attachment

    java.lang.Object
      org.hyperic.hibernate.PersistedObject
          org.hyperic.hq.hqu.server.session.Attachment

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AttachmentAdmin, AttachmentMasthead, AttachmentResource

    public class Attachment

extends PersistedObject

See Also:
  Serialized Form

Constructor Summary
`protected` | `Attachment()`

Method Summary
`boolean` | `equals(java.lang.Object obj)` TODO: We probably need to subclass the attachments into their specific types (such as admin, etc.), via a Hibernate subclass.
`long` | `getAttachTime()`
`View` | `getView()`
`int` | `hashCode()`
`protected void` | `setAttachTime(long attachTime)`
`protected void` | `setView(View view)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hibernate.PersistedObject
`get_version_, getId, set_version_, setId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Attachment

    protected Attachment()

Method Detail

### getView

    public View getView()

### setView

    protected void setView(View view)

### getAttachTime

    public long getAttachTime()

### setAttachTime

    protected void setAttachTime(long attachTime)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  TODO: We probably need to subclass the attachments into their specific types (such as admin, etc.), via a Hibernate subclass. This way each object can do a proper .equals()

  Overrides:
    `equals` in class `PersistedObject`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PersistedObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.